using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Domain
{
    public class SysSystemLogs
    {
        /// <summary>
        /// id
        /// </summary>
        public virtual long ID
        {
            get;
            set;
        }
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// 用户名
        /// </summary>
        public virtual string Account
        {
            get;
            set;
        }
        /// <summary>
        /// 权限模块ID
        /// </summary>
        public virtual int? AuthorityID
        {
            get;
            set;
        }
        /// <summary>
        /// 动作
        /// </summary>
        public virtual string Action
        {
            get;
            set;
        }
        /// <summary>
        /// 明细
        /// </summary>
        public virtual string Detail
        {
            get;
            set;
        }
        /// <summary>
        /// 结果
        /// </summary>
        public virtual string Result
        {
            get;
            set;
        }
        /// <summary>
        /// IP地址
        /// </summary>
        public virtual string IP
        {
            get;
            set;
        }
        /// <summary>
        /// 操作日期
        /// </summary>
        public virtual DateTime? Time
        {
            get;
            set;
        }        
    }
}